Bug 841740 - The state of mysql and mongodb that embed to scalable app is wrong
The state of mysql and mongodb that embed to scalable app is wrong
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Master (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Abhishek Gupta
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-20 02:13 EDT by Rony Gong
Modified: 2015-05-14 20:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 17:28:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rony Gong 2012-07-20 02:13:18 EDT
Description of problem:
The state of  mysql and mongodb that embed to scalable app should be started, not be new, I test it both from RESTAPI and Web console

Version-Release number of selected component (if applicable):
devenv_1904

How reproducible:
always


Steps to Reproduce:
1.Create scalable app and embed mysql, mongdb
2.Use RestAPI to get gear groups and get gear state.
3.find the state for mysql and mongodb are wrong,
  
Actual results:
[root@localhost ~]# curl -k -X GET -H 'Accept: application/xml' --user qgong0@redhat.com:111111 https://ec2-184-72-195-25.compute-1.amazonaws.com/broker/rest/domains/qgong/applications/q1sjboss/gear_groups
<?xml version="1.0" encoding="UTF-8"?>
<response>
  <supported-api-versions>
    <supported-api-version>1.0</supported-api-version>
    <supported-api-version>1.1</supported-api-version>
  </supported-api-versions>
  <messages/>
  <type>gear_groups</type>
  <version>1.1</version>
  <status>ok</status>
  <data>
    <gear-group>
      <gear-profile>small</gear-profile>
      <cartridges>
        <cartridge>
          <job-url>https://jenkins-qgong.dev.rhcloud.com/job/q1sjboss-build/</job-url>
          <name>jenkins-client-1.4</name>
        </cartridge>
        <cartridge>
          <name>jbossas-7</name>
        </cartridge>
        <cartridge>
          <name>haproxy-1.4</name>
        </cartridge>
      </cartridges>
      <name>@@app/comp-proxy/cart-haproxy-1.4</name>
      <gears>
        <gear>
          <state>started</state>
          <id>b0e561c177994eefa8b489710f69819d</id>
        </gear>
      </gears>
    </gear-group>
    <gear-group>
      <gear-profile>small</gear-profile>
      <cartridges>
        <cartridge>
          <username>admin</username>
          <password>hkCr3QwGABNr</password>
          <database-name>q1sjboss</database-name>
          <connection-url>mongodb://9efdf77c0e-qgong.dev.rhcloud.com:35621/</connection-url>
          <name>mongodb-2.0</name>
        </cartridge>
      </cartridges>
      <name>@@app/comp-proxy/cart-mongodb-2.0/group-singlenode</name>
      <gears>
        <gear>
          <state>new</state>
          <id>9efdf77c0e2b46a3a385f81353177dfc</id>
        </gear>
      </gears>
    </gear-group>
    <gear-group>
      <gear-profile>small</gear-profile>
      <cartridges>
        <cartridge>
          <name>jbossas-7</name>
        </cartridge>
      </cartridges>
      <name>@@app/comp-web/cart-jbossas-7/group-app-servers</name>
      <gears>
        <gear>
          <state>started</state>
          <id>9023e52aed8243aaabae7163df976bb7</id>
        </gear>
      </gears>
    </gear-group>
    <gear-group>
      <gear-profile>small</gear-profile>
      <cartridges>
        <cartridge>
          <username>admin</username>
          <password>denXjz57cdei</password>
          <database-name>q1sjboss</database-name>
          <connection-url>mysql://2e580b9f92-qgong.dev.rhcloud.com:35596/</connection-url>
          <name>mysql-5.1</name>
        </cartridge>
      </cartridges>
      <name>@@app/comp-proxy/cart-mysql-5.1/group-mysql</name>
      <gears>
        <gear>
          <state>new</state>
          <id>2e580b9f9247404fa12f04b3f8eb67ea</id>
        </gear>
      </gears>
    </gear-group>
  </data>
</response>


Expected results:
The state of that mysql and mongodb shouldn't be new, should be started

Additional info:
In this page
https://ec2-184-72-195-25.compute-1.amazonaws.com/app/console/applications/q1sjboss

I see the mysql and mongo state are new too.
Comment 1 Rony Gong 2012-08-15 21:52:12 EDT
Verified on devenv_1995

<?xml version="1.0" encoding="UTF-8"?>
<response>
  <version>1.1</version>
  <supported-api-versions>
    <supported-api-version>1.0</supported-api-version>
    <supported-api-version>1.1</supported-api-version>
  </supported-api-versions>
  <data>
    <gear-group>
      <gear-profile>small</gear-profile>
      <name>@@app/comp-web/cart-php-5.3</name>
      <cartridges>
        <cartridge>
          <name>php-5.3</name>
        </cartridge>
      </cartridges>
      <gears>
        <gear>
          <state>started</state>
          <id>a350e2657cef43cbb330f367d318159e</id>
        </gear>
      </gears>
    </gear-group>
    <gear-group>
      <gear-profile>small</gear-profile>
      <name>@@app/comp-proxy/cart-haproxy-1.4</name>
      <cartridges>
        <cartridge>
          <name>php-5.3</name>
        </cartridge>
        <cartridge>
          <name>haproxy-1.4</name>
        </cartridge>
      </cartridges>
      <gears>
        <gear>
          <state>started</state>
          <id>b51e0a1213244040b90d9516924c0769</id>
        </gear>
      </gears>
    </gear-group>
    <gear-group>
      <gear-profile>small</gear-profile>
      <name>@@app/comp-proxy/cart-mysql-5.1/group-mysql</name>
      <cartridges>
        <cartridge>
          <database-name>qsphp</database-name>
          <password>rW2tb-3WAc6l</password>
          <username>admin</username>
          <connection-url>mysql://15604262d0-qgong4.dev.rhcloud.com:35546/</connection-url>
          <name>mysql-5.1</name>
        </cartridge>
      </cartridges>
      <gears>
        <gear>
          <state>started</state>
          <id>15604262d0044971bcbba384d86d90c0</id>
        </gear>
      </gears>
    </gear-group>
    <gear-group>
      <gear-profile>small</gear-profile>
      <name>@@app/comp-proxy/cart-mongodb-2.0/group-singlenode</name>
      <cartridges>
        <cartridge>
          <database-name>qsphp</database-name>
          <password>IVTQ6v7PB4hz</password>
          <username>admin</username>
          <connection-url>mongodb://eade9167e2-qgong4.dev.rhcloud.com:35551/</connection-url>
          <name>mongodb-2.0</name>
        </cartridge>
      </cartridges>
      <gears>
        <gear>
          <state>started</state>
          <id>eade9167e28a44fe94b89705df79d205</id>
        </gear>
      </gears>
    </gear-group>
  </data>
  <status>ok</status>
  <messages/>
  <type>gear_groups</type>
</response>

Note You need to log in before you can comment on or make changes to this bug.